<?php
use App\Domains\CostUnit\Controllers\OpenController;
use App\Domains\Invoice\Controllers\ListMyInvoicesController;
use App\Domains\Invoice\Controllers\NewInvoiceController;
use App\Middleware\IdentifyTenant;
use Illuminate\Support\Facades\Route;

Route::middleware(IdentifyTenant::class)->group(function () {
    Route::prefix('invoice')->group(function () {
        Route::get('/new', NewInvoiceController::class);

        Route::middleware(['auth'])->group(function () {
            Route::get('/my-invoices/{invoiceStatus}', ListMyInvoicesController::class);

        });



    });
});
